Luxor PlatformAPI DocumentationCommanderAgents
Update agent
Updates an existing Commander agent. Editable fields: name, status, scan_ranges, firmware_credentials.
Authorization
LuxorAPIKey authorization<token>
Use your API key here.
In: header
Path Parameters
agent_id*string
Agent UUID
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://example.com/v2/commander/agents/1d786ea1-9400-4566-94be-d5f400e0490b" \ -H "Content-Type: application/json" \ -d '{}'Empty
{ "statusCode": 400, "code": "FST_ERR_VALIDATION", "error": "Bad Request", "message": "body/end_date Required"}{ "statusCode": 400, "code": "FST_ERR_VALIDATION", "error": "Bad Request", "message": "body/end_date Required"}{ "statusCode": 400, "code": "FST_ERR_VALIDATION", "error": "Bad Request", "message": "body/end_date Required"}